> For the complete documentation index, see [llms.txt](https://docs.bird.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bird.com/api/numbers-api/api-reference/10dlc-compliance/tcr-enums.md).

# TCR Enums

## Brands

### verticals

## List of available verticals in TCR

> A vertical refers to a specific industry, market, or niche in which a company operates or targets its products and services. This endpoint returns the available ones here at Bird.

```json
{"openapi":"3.0.3","info":{"title":"Numbers","version":"v1"},"tags":[{"description":"TCR enums","name":"tcr_enums"}],"servers":[{"url":"https://api.bird.com","description":"Production API"}],"security":[{"accessKey":[]}],"components":{"securitySchemes":{"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"VerticalList":{"type":"object","additionalProperties":false,"required":["results"],"properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/Vertical"}}}},"Vertical":{"type":"object","additionalProperties":false,"description":"A vertical is a high-level categorization of a business or industry.","required":["name","industryId","displayName","description"],"properties":{"name":{"type":"string"},"industryId":{"type":"string"},"displayName":{"type":"string"},"description":{"type":"string"}}}}},"paths":{"/numbers-tcr/verticals":{"get":{"operationId":"tcrVerticals","description":"A vertical refers to a specific industry, market, or niche in which a company operates or targets its products and services. This endpoint returns the available ones here at Bird.","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/VerticalList"}}},"description":"OK"}},"summary":"List of available verticals in TCR","tags":["tcr_enums"]}}}}
```

### entityType

| Value           | Description         |
| --------------- | ------------------- |
| PRIVATE\_PROFIT | Public company      |
| PUBLIC\_PROFIT  | Private company     |
| NON\_PROFIT     | A non profit        |
| GOVERNMENT      | A government entity |

### altBusinessIdType

| Value | Description                         |
| ----- | ----------------------------------- |
| DUNS  | Set if altBusinessId is DUNS number |
| LEI   | Set if altBusinessId is LEI code    |
| GIIN  | Set if altBusinessId is GIIN number |

### stockExchange

NASDAQ, NYSE, AMEX, AMX, ASX, B3, BME, BSE, FRA, ICEX, JPX, JSE, KRX, LON, NSE, OMX, SEHK, SGX, SSE, STO, SWX, SZSE, TSX, TWSE, VSE

### stockSymbol

stockSymbol must belong to a [stockExchange](#stockexchange)

### brandStatus

| Value    | Description                                      |
| -------- | ------------------------------------------------ |
| FAILED   | Failed to submit Brand to the campaign registry  |
| PENDING  | Brand is pending approval                        |
| REJECTED | Brand has been rejected by the campaign registry |
| APPROVED | Brand has been approved by the campaign registry |
| DELETED  | Brand has been deleted                           |

## Brand Vetting

### vettingClass

| Value    | Description      |
| -------- | ---------------- |
| STANDARD | Standard vetting |

### vettingProviderId

| Value | Description            |
| ----- | ---------------------- |
| AEGIS | Vetting provider AEGIS |

### vettingStatus

| Value    | Description                                                 |
| -------- | ----------------------------------------------------------- |
| PENDING  | The vetting request is pending                              |
| REJECTED | This vetting request has been rejected                      |
| FAILED   | The vetting request has failed                              |
| APPROVED | The vetting request has been approved                       |
| EXPIRED  | The vetting has expired and a new vetting must be requested |

## Campaigns

### useCases

## List of available use cases in TCR

> Retrieve list of available use cases in TCR

```json
{"openapi":"3.0.3","info":{"title":"Numbers","version":"v1"},"tags":[{"description":"TCR enums","name":"tcr_enums"}],"servers":[{"url":"https://api.bird.com","description":"Production API"}],"security":[{"accessKey":[]}],"components":{"securitySchemes":{"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"schemas":{"UsecaseList":{"type":"object","additionalProperties":false,"required":["results"],"properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/Usecase"}}}},"Usecase":{"type":"object","additionalProperties":false,"required":["name","accountingName","classification","displayName","description","maxSubUsecases","minSubUsecases","validSubUsecase"],"properties":{"name":{"type":"string"},"accountingName":{"type":"string"},"classification":{"type":"string"},"displayName":{"type":"string"},"description":{"type":"string"},"maxSubUsecases":{"type":"integer"},"minSubUsecases":{"type":"integer"},"validSubUsecase":{"type":"boolean"}}}}},"paths":{"/numbers-tcr/usecases":{"get":{"operationId":"tcrUsecases","description":"Retrieve list of available use cases in TCR","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsecaseList"}}},"description":"OK"}},"summary":"List of available use cases in TCR","tags":["tcr_enums"]}}}}
```

### campaignStatus

| Value     | Description                                                    |
| --------- | -------------------------------------------------------------- |
| FAILED    | Campaign was submitted to MBCR but rejected by TCR             |
| PENDING   | Campaign is pending with TCR                                   |
| REJECTED  | Campaign is rejected by AT\&T and no way to re submit          |
| APPROVED  | Campaign is approved                                           |
| DECLINED  | Campaign is rejected and can be edited and re submitted again. |
| SUSPENDED | Campaign is suspended                                          |
| DELETED   | Campaign has been deleted                                      |
| EXPIRED   | Campaign has expired                                           |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bird.com/api/numbers-api/api-reference/10dlc-compliance/tcr-enums.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
